Skip to main content

New to Qlik Sense

If you’re new to Qlik Sense, start with this Discussion Board and get up-to-speed quickly.

Announcements
NEW webinar Dec. 7th: 2023 Outlook, A Pivotal Year for Data Integration SIGN ME UP!
cancel
Showing results for 
Search instead for 
Did you mean: 
Not applicable

Qlik Sense .Net SDK AsStaticHeaderUserViaProxy issue

Hi,

I am working with .net sdk 2.2.3. I am using AsStaticHeaderUserViaProxy() to authenticate. It is working fine and able get all expected data from server till 5th request. After 5 request It is unable to communicate.

I think it is a session related issue. but i don't not how to resolve.

I have created new virtual proxy for the same. Below are the screenshot of virtual proxy configuration

1 Solution

Accepted Solutions
Øystein_Kolsrud
Employee
Employee

No I don't think that is possible in 2.2, at least not without doing some serious reflection hack. Depending on what you do in your program, I would recommend you to use 3.0 or later and simply turn off the version check.

View solution in original post

5 Replies
Øystein_Kolsrud
Employee
Employee

Perhaps it's a licensing issue? It could be that the SDK does not correctly log out from the sessions you connect to. The 3.0 version of the SDK introduced a log out mechanism when disposing locations (Qlik.Engine.Location implements IDisposable). You might want to try out that version.

http://help.qlik.com/en-US/sense-developer/3.0/apis/net%20sdk/html/T_Qlik_Engine_Location.htm

Not applicable
Author

Thank you for your reply.

I know i have alternate option to upgrade. Also in 3.0 we have another option to authenticate that is AsExistingSessionViaProxy() which working very fine in my another application.

Do we have any option to pass existing sessionid with request of AsStaticHeaderUserViaProxy() in 2.2.3 so that server will not create new session for the same user.

Øystein_Kolsrud
Employee
Employee

No I don't think that is possible in 2.2, at least not without doing some serious reflection hack. Depending on what you do in your program, I would recommend you to use 3.0 or later and simply turn off the version check.

Not applicable
Author

Thanks a lot. It is working fine after upgrading my sdk to 3.0 and setting version check as false.

pincizko
Contributor
Contributor

Hi Abrar, could you please share how you fixed it? Many thanks!